View Single Post
Old 03-05-2011, 08:09 AM   #1
Junior Member
Lev667 began at the beginning.
Posts: 6
Karma: 10
Join Date: Feb 2011
Device: Kindle 3
Error while running calibre with source

I've upgraded to the new version of calibre,
and downloaded the new source code (and didnt make any changes to it)

When I try to download new news feed I get this error:
Traceback (most recent call last):
  File "C:\calibre\trunk\src\calibre\gui2\", line 250, in dispatch
  File "C:\calibre\trunk\src\calibre\gui2\actions\", line 60, in scheduled_recipe_fetched
  File "C:\calibre\trunk\src\calibre\gui2\library\", line 196, in add_news
  File "C:\calibre\trunk\src\calibre\library\", line 2670, in add_news
  File "C:\calibre\trunk\src\calibre\library\", line 1726, in set_metadata
  File "C:\calibre\trunk\src\calibre\library\", line 1695, in doit
  File "C:\calibre\trunk\src\calibre\library\", line 955, in set_cover
  File "C:\calibre\trunk\src\calibre\utils\magick\", line 96, in save_cover_data_to
TypeError: must be convertible to a buffer, not Image
When I remove the CALIBRE_DEVELOP_FROM from the environment variables,
it's works fine.

what could be the problem?

Lev667 is offline   Reply With Quote